You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

349 lines
14 KiB

  1. #!/bin/sh
  2. set -e
  3. TESTDIR="$(readlink -f "$(dirname "$0")")"
  4. . "$TESTDIR/framework"
  5. setupenvironment
  6. configarchitecture 'amd64' 'armel'
  7. insertinstalledpackage 'build-essential' 'all' '11.5' 'Multi-Arch: foreign'
  8. insertpackage 'unstable' 'doxygen' 'amd64,armel' '1.0' 'Multi-Arch: foreign'
  9. insertpackage 'unstable' 'libc6' 'amd64,armel' '1.0' 'Multi-Arch: same'
  10. insertpackage 'unstable' 'libc6-dev' 'amd64,armel' '1.0' 'Depends: libc6
  11. Multi-Arch: same'
  12. insertpackage 'unstable' 'libfwibble1' 'amd64,armel' '1.0' 'Depends: libc6
  13. Multi-Arch: same'
  14. insertpackage 'unstable' 'libfwibble-dev' 'amd64,armel' '1.0' 'Depends: libfwibble1'
  15. insertpackage 'unstable' 'cool' 'amd64,armel' '1.0' 'Multi-Arch: allowed'
  16. insertpackage 'unstable' 'amdboot' 'amd64' '1.0'
  17. insertpackage 'unstable' 'foreigner' 'amd64,armel' '1.0' 'Multi-Arch: foreign'
  18. insertpackage 'unstable' 'arm-stuff' 'armel' '1.0'
  19. insertpackage 'unstable' 'linux-stuff' 'amd64,armel' '1.0'
  20. insertsource 'unstable' 'apt' 'any' '0.8.15' 'Build-Depends: doxygen, libc6-dev, libc6-dev:native, cool:any, amdboot:amd64, foreigner, libfwibble-dev, arm-stuff [eabi-any-any-arm gnueabi-any-arm] | linux-stuff [ linux-any]'
  21. insertsource 'unstable' 'forbidden-no' 'any' '1' 'Build-Depends: amdboot:any'
  22. insertsource 'unstable' 'forbidden-same' 'any' '1' 'Build-Depends: libc6:any'
  23. insertsource 'unstable' 'forbidden-foreign' 'any' '1' 'Build-Depends: doxygen:any'
  24. insertpackage 'unstable' 'specific' 'amd64' '1.0' 'Depends: libc6:amd64'
  25. insertpackage 'unstable' 'specific' 'armel' '1.0' 'Depends: libc6:armel'
  26. insertsource 'unstable' 'source-specific-amd64' 'amd64' '1' 'Build-Depends: specific:amd64'
  27. insertsource 'unstable' 'source-specific-armel' 'armel' '1' 'Build-Depends: specific:armel'
  28. setupaptarchive
  29. testfailureequal 'Reading package lists...
  30. Reading package lists...
  31. Building dependency tree...
  32. Some packages could not be installed. This may mean that you have
  33. requested an impossible situation or if you are using the unstable
  34. distribution that some required packages have not yet been created
  35. or been moved out of Incoming.
  36. The following information may help to resolve the situation:
  37. The following packages have unmet dependencies:
  38. builddeps:forbidden-no:armel : Depends: amdboot:any but it is not installable
  39. E: Unable to correct problems, you have held broken packages.' aptget build-dep forbidden-no -s -a armel
  40. testfailureequal 'Reading package lists...
  41. Reading package lists...
  42. Building dependency tree...
  43. Some packages could not be installed. This may mean that you have
  44. requested an impossible situation or if you are using the unstable
  45. distribution that some required packages have not yet been created
  46. or been moved out of Incoming.
  47. The following information may help to resolve the situation:
  48. The following packages have unmet dependencies:
  49. builddeps:forbidden-same:armel : Depends: libc6:any but it is not installable
  50. E: Unable to correct problems, you have held broken packages.' aptget build-dep forbidden-same -s -a armel
  51. testfailureequal 'Reading package lists...
  52. Reading package lists...
  53. Building dependency tree...
  54. Some packages could not be installed. This may mean that you have
  55. requested an impossible situation or if you are using the unstable
  56. distribution that some required packages have not yet been created
  57. or been moved out of Incoming.
  58. The following information may help to resolve the situation:
  59. The following packages have unmet dependencies:
  60. builddeps:forbidden-foreign:armel : Depends: doxygen:any but it is not installable
  61. E: Unable to correct problems, you have held broken packages.' aptget build-dep forbidden-foreign -s -a armel
  62. testsuccessequal 'Reading package lists...
  63. Reading package lists...
  64. Building dependency tree...
  65. The following NEW packages will be installed:
  66. libc6 specific
  67. 0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
  68. Inst libc6 (1.0 unstable [amd64])
  69. Inst specific (1.0 unstable [amd64])
  70. Conf libc6 (1.0 unstable [amd64])
  71. Conf specific (1.0 unstable [amd64])' aptget build-dep source-specific-amd64 -s
  72. testsuccessequal 'Reading package lists...
  73. Reading package lists...
  74. Building dependency tree...
  75. The following NEW packages will be installed:
  76. libc6 specific
  77. 0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
  78. Inst libc6 (1.0 unstable [amd64])
  79. Inst specific (1.0 unstable [amd64])
  80. Conf libc6 (1.0 unstable [amd64])
  81. Conf specific (1.0 unstable [amd64])' aptget build-dep source-specific-amd64 -s -a armel
  82. testsuccessequal 'Reading package lists...
  83. Reading package lists...
  84. Building dependency tree...
  85. The following NEW packages will be installed:
  86. libc6:armel specific:armel
  87. 0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
  88. Inst libc6:armel (1.0 unstable [armel])
  89. Inst specific:armel (1.0 unstable [armel])
  90. Conf libc6:armel (1.0 unstable [armel])
  91. Conf specific:armel (1.0 unstable [armel])' aptget build-dep source-specific-armel -s
  92. testsuccessequal 'Reading package lists...
  93. Reading package lists...
  94. Building dependency tree...
  95. The following NEW packages will be installed:
  96. libc6:armel specific:armel
  97. 0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
  98. Inst libc6:armel (1.0 unstable [armel])
  99. Inst specific:armel (1.0 unstable [armel])
  100. Conf libc6:armel (1.0 unstable [armel])
  101. Conf specific:armel (1.0 unstable [armel])' aptget build-dep source-specific-armel -s -a armel
  102. testsuccessequal 'Reading package lists...
  103. Reading package lists...
  104. Building dependency tree...
  105. The following NEW packages will be installed:
  106. amdboot cool doxygen foreigner libc6 libc6-dev libfwibble-dev libfwibble1
  107. linux-stuff
  108. 0 upgraded, 9 newly installed, 0 to remove and 0 not upgraded.
  109. Inst amdboot (1.0 unstable [amd64])
  110. Inst cool (1.0 unstable [amd64])
  111. Inst doxygen (1.0 unstable [amd64])
  112. Inst foreigner (1.0 unstable [amd64])
  113. Inst libc6 (1.0 unstable [amd64])
  114. Inst libc6-dev (1.0 unstable [amd64])
  115. Inst libfwibble1 (1.0 unstable [amd64])
  116. Inst libfwibble-dev (1.0 unstable [amd64])
  117. Inst linux-stuff (1.0 unstable [amd64])
  118. Conf amdboot (1.0 unstable [amd64])
  119. Conf cool (1.0 unstable [amd64])
  120. Conf doxygen (1.0 unstable [amd64])
  121. Conf foreigner (1.0 unstable [amd64])
  122. Conf libc6 (1.0 unstable [amd64])
  123. Conf libc6-dev (1.0 unstable [amd64])
  124. Conf libfwibble1 (1.0 unstable [amd64])
  125. Conf libfwibble-dev (1.0 unstable [amd64])
  126. Conf linux-stuff (1.0 unstable [amd64])' aptget build-dep apt -s
  127. testsuccessequal 'Reading package lists...
  128. Reading package lists...
  129. Building dependency tree...
  130. The following NEW packages will be installed:
  131. amdboot arm-stuff:armel cool doxygen foreigner libc6 libc6:armel libc6-dev
  132. libc6-dev:armel libfwibble-dev:armel libfwibble1:armel
  133. 0 upgraded, 11 newly installed, 0 to remove and 0 not upgraded.
  134. Inst amdboot (1.0 unstable [amd64])
  135. Inst arm-stuff:armel (1.0 unstable [armel])
  136. Inst cool (1.0 unstable [amd64])
  137. Inst doxygen (1.0 unstable [amd64])
  138. Inst foreigner (1.0 unstable [amd64])
  139. Inst libc6 (1.0 unstable [amd64])
  140. Inst libc6:armel (1.0 unstable [armel])
  141. Inst libc6-dev (1.0 unstable [amd64])
  142. Inst libc6-dev:armel (1.0 unstable [armel])
  143. Inst libfwibble1:armel (1.0 unstable [armel])
  144. Inst libfwibble-dev:armel (1.0 unstable [armel])
  145. Conf amdboot (1.0 unstable [amd64])
  146. Conf arm-stuff:armel (1.0 unstable [armel])
  147. Conf cool (1.0 unstable [amd64])
  148. Conf doxygen (1.0 unstable [amd64])
  149. Conf foreigner (1.0 unstable [amd64])
  150. Conf libc6 (1.0 unstable [amd64])
  151. Conf libc6:armel (1.0 unstable [armel])
  152. Conf libc6-dev (1.0 unstable [amd64])
  153. Conf libc6-dev:armel (1.0 unstable [armel])
  154. Conf libfwibble1:armel (1.0 unstable [armel])
  155. Conf libfwibble-dev:armel (1.0 unstable [armel])' aptget build-dep apt -s -a armel
  156. configarchitecture 'armel' 'amd64'
  157. testsuccessequal 'Reading package lists...
  158. Building dependency tree...
  159. The following NEW packages will be installed:
  160. amdboot:amd64 arm-stuff cool doxygen foreigner libc6 libc6-dev
  161. libfwibble-dev libfwibble1
  162. 0 upgraded, 9 newly installed, 0 to remove and 0 not upgraded.
  163. Inst amdboot:amd64 (1.0 unstable [amd64])
  164. Inst arm-stuff (1.0 unstable [armel])
  165. Inst cool (1.0 unstable [armel])
  166. Inst doxygen (1.0 unstable [armel])
  167. Inst foreigner (1.0 unstable [armel])
  168. Inst libc6 (1.0 unstable [armel])
  169. Inst libc6-dev (1.0 unstable [armel])
  170. Inst libfwibble1 (1.0 unstable [armel])
  171. Inst libfwibble-dev (1.0 unstable [armel])
  172. Conf amdboot:amd64 (1.0 unstable [amd64])
  173. Conf arm-stuff (1.0 unstable [armel])
  174. Conf cool (1.0 unstable [armel])
  175. Conf doxygen (1.0 unstable [armel])
  176. Conf foreigner (1.0 unstable [armel])
  177. Conf libc6 (1.0 unstable [armel])
  178. Conf libc6-dev (1.0 unstable [armel])
  179. Conf libfwibble1 (1.0 unstable [armel])
  180. Conf libfwibble-dev (1.0 unstable [armel])' aptget build-dep apt -s
  181. testsuccessequal 'Reading package lists...
  182. Reading package lists...
  183. Building dependency tree...
  184. The following NEW packages will be installed:
  185. amdboot:amd64 cool doxygen foreigner libc6 libc6:amd64 libc6-dev
  186. libc6-dev:amd64 libfwibble-dev:amd64 libfwibble1:amd64 linux-stuff:amd64
  187. 0 upgraded, 11 newly installed, 0 to remove and 0 not upgraded.
  188. Inst amdboot:amd64 (1.0 unstable [amd64])
  189. Inst cool (1.0 unstable [armel])
  190. Inst doxygen (1.0 unstable [armel])
  191. Inst foreigner (1.0 unstable [armel])
  192. Inst libc6 (1.0 unstable [armel])
  193. Inst libc6:amd64 (1.0 unstable [amd64])
  194. Inst libc6-dev (1.0 unstable [armel])
  195. Inst libc6-dev:amd64 (1.0 unstable [amd64])
  196. Inst libfwibble1:amd64 (1.0 unstable [amd64])
  197. Inst libfwibble-dev:amd64 (1.0 unstable [amd64])
  198. Inst linux-stuff:amd64 (1.0 unstable [amd64])
  199. Conf amdboot:amd64 (1.0 unstable [amd64])
  200. Conf cool (1.0 unstable [armel])
  201. Conf doxygen (1.0 unstable [armel])
  202. Conf foreigner (1.0 unstable [armel])
  203. Conf libc6 (1.0 unstable [armel])
  204. Conf libc6:amd64 (1.0 unstable [amd64])
  205. Conf libc6-dev (1.0 unstable [armel])
  206. Conf libc6-dev:amd64 (1.0 unstable [amd64])
  207. Conf libfwibble1:amd64 (1.0 unstable [amd64])
  208. Conf libfwibble-dev:amd64 (1.0 unstable [amd64])
  209. Conf linux-stuff:amd64 (1.0 unstable [amd64])' aptget build-dep apt -s -a amd64
  210. configarchitecture 'amd64' 'armel'
  211. insertinstalledpackage 'cool' 'amd64' '0.5'
  212. insertinstalledpackage 'foreigner' 'armel' '0.5'
  213. testsuccessequal 'Reading package lists...
  214. Building dependency tree...
  215. The following NEW packages will be installed:
  216. amdboot doxygen libc6 libc6-dev libfwibble-dev libfwibble1 linux-stuff
  217. The following packages will be upgraded:
  218. foreigner:armel
  219. 1 upgraded, 7 newly installed, 0 to remove and 1 not upgraded.
  220. Inst amdboot (1.0 unstable [amd64])
  221. Inst doxygen (1.0 unstable [amd64])
  222. Inst foreigner:armel [0.5] (1.0 unstable [armel])
  223. Inst libc6 (1.0 unstable [amd64])
  224. Inst libc6-dev (1.0 unstable [amd64])
  225. Inst libfwibble1 (1.0 unstable [amd64])
  226. Inst libfwibble-dev (1.0 unstable [amd64])
  227. Inst linux-stuff (1.0 unstable [amd64])
  228. Conf amdboot (1.0 unstable [amd64])
  229. Conf doxygen (1.0 unstable [amd64])
  230. Conf foreigner:armel (1.0 unstable [armel])
  231. Conf libc6 (1.0 unstable [amd64])
  232. Conf libc6-dev (1.0 unstable [amd64])
  233. Conf libfwibble1 (1.0 unstable [amd64])
  234. Conf libfwibble-dev (1.0 unstable [amd64])
  235. Conf linux-stuff (1.0 unstable [amd64])' aptget build-dep apt -s
  236. testsuccessequal 'Reading package lists...
  237. Reading package lists...
  238. Building dependency tree...
  239. The following NEW packages will be installed:
  240. amdboot arm-stuff:armel doxygen libc6 libc6:armel libc6-dev libc6-dev:armel
  241. libfwibble-dev:armel libfwibble1:armel
  242. The following packages will be upgraded:
  243. cool
  244. 1 upgraded, 9 newly installed, 0 to remove and 1 not upgraded.
  245. Inst amdboot (1.0 unstable [amd64])
  246. Inst arm-stuff:armel (1.0 unstable [armel])
  247. Inst cool [0.5] (1.0 unstable [amd64])
  248. Inst doxygen (1.0 unstable [amd64])
  249. Inst libc6 (1.0 unstable [amd64])
  250. Inst libc6:armel (1.0 unstable [armel])
  251. Inst libc6-dev (1.0 unstable [amd64])
  252. Inst libc6-dev:armel (1.0 unstable [armel])
  253. Inst libfwibble1:armel (1.0 unstable [armel])
  254. Inst libfwibble-dev:armel (1.0 unstable [armel])
  255. Conf amdboot (1.0 unstable [amd64])
  256. Conf arm-stuff:armel (1.0 unstable [armel])
  257. Conf cool (1.0 unstable [amd64])
  258. Conf doxygen (1.0 unstable [amd64])
  259. Conf libc6 (1.0 unstable [amd64])
  260. Conf libc6:armel (1.0 unstable [armel])
  261. Conf libc6-dev (1.0 unstable [amd64])
  262. Conf libc6-dev:armel (1.0 unstable [armel])
  263. Conf libfwibble1:armel (1.0 unstable [armel])
  264. Conf libfwibble-dev:armel (1.0 unstable [armel])' aptget build-dep apt -s -a armel
  265. configarchitecture 'armel' 'amd64'
  266. # cool 0.5 is not M-A: allowed, so amd64 is not acceptable
  267. testsuccessequal 'Reading package lists...
  268. Building dependency tree...
  269. The following packages will be REMOVED:
  270. cool:amd64
  271. The following NEW packages will be installed:
  272. amdboot:amd64 arm-stuff cool doxygen libc6 libc6-dev libfwibble-dev
  273. libfwibble1
  274. 0 upgraded, 8 newly installed, 1 to remove and 1 not upgraded.
  275. Remv cool:amd64 [0.5]
  276. Inst amdboot:amd64 (1.0 unstable [amd64])
  277. Inst arm-stuff (1.0 unstable [armel])
  278. Inst cool (1.0 unstable [armel])
  279. Inst doxygen (1.0 unstable [armel])
  280. Inst libc6 (1.0 unstable [armel])
  281. Inst libc6-dev (1.0 unstable [armel])
  282. Inst libfwibble1 (1.0 unstable [armel])
  283. Inst libfwibble-dev (1.0 unstable [armel])
  284. Conf amdboot:amd64 (1.0 unstable [amd64])
  285. Conf arm-stuff (1.0 unstable [armel])
  286. Conf cool (1.0 unstable [armel])
  287. Conf doxygen (1.0 unstable [armel])
  288. Conf libc6 (1.0 unstable [armel])
  289. Conf libc6-dev (1.0 unstable [armel])
  290. Conf libfwibble1 (1.0 unstable [armel])
  291. Conf libfwibble-dev (1.0 unstable [armel])' aptget build-dep apt -s
  292. testsuccessequal 'Reading package lists...
  293. Reading package lists...
  294. Building dependency tree...
  295. The following NEW packages will be installed:
  296. amdboot:amd64 doxygen libc6 libc6:amd64 libc6-dev libc6-dev:amd64
  297. libfwibble-dev:amd64 libfwibble1:amd64 linux-stuff:amd64
  298. The following packages will be upgraded:
  299. cool:amd64 foreigner
  300. 2 upgraded, 9 newly installed, 0 to remove and 0 not upgraded.
  301. Inst amdboot:amd64 (1.0 unstable [amd64])
  302. Inst cool:amd64 [0.5] (1.0 unstable [amd64])
  303. Inst doxygen (1.0 unstable [armel])
  304. Inst foreigner [0.5] (1.0 unstable [armel])
  305. Inst libc6 (1.0 unstable [armel])
  306. Inst libc6:amd64 (1.0 unstable [amd64])
  307. Inst libc6-dev (1.0 unstable [armel])
  308. Inst libc6-dev:amd64 (1.0 unstable [amd64])
  309. Inst libfwibble1:amd64 (1.0 unstable [amd64])
  310. Inst libfwibble-dev:amd64 (1.0 unstable [amd64])
  311. Inst linux-stuff:amd64 (1.0 unstable [amd64])
  312. Conf amdboot:amd64 (1.0 unstable [amd64])
  313. Conf cool:amd64 (1.0 unstable [amd64])
  314. Conf doxygen (1.0 unstable [armel])
  315. Conf foreigner (1.0 unstable [armel])
  316. Conf libc6 (1.0 unstable [armel])
  317. Conf libc6:amd64 (1.0 unstable [amd64])
  318. Conf libc6-dev (1.0 unstable [armel])
  319. Conf libc6-dev:amd64 (1.0 unstable [amd64])
  320. Conf libfwibble1:amd64 (1.0 unstable [amd64])
  321. Conf libfwibble-dev:amd64 (1.0 unstable [amd64])
  322. Conf linux-stuff:amd64 (1.0 unstable [amd64])' aptget build-dep apt -s -a amd64